/************************************************************
	FILE: lib_draw.h
          function prototypes for lib_draw.c
************************************************************/
 
#define ROTATE_MODE 1
#define TRANSLATE_MODE 2

enum MOTIONS {NO_MOTION, ROTATE_MOTION, SCALE_MOTION,
      TRANS_MOTION, Z_MOTION};
enum DRAW_MODE {TEXTURE, SOLID, WIRE};

void display(void);          /* all the drawing action */
        /* prints current transformation matrix in graphics window */
void mat_print(void);
void draw_circle(void);
void draw_square(void);
void myinit(void);
void myReshape(int w, int h);
void mat_setup(void);
int view(int nargs, STR args[]);
void key_toggle_view();
void draw_world_texture( void );
void draw_world_solid( void );
void draw_world_wire( void );
void check_mouse(int x, int y);
void mouse_up(AUX_EVENTREC *event);
void mouse_action(AUX_EVENTREC *event);
void mouse2_action(AUX_EVENTREC *event);
void rotate(int x, int y);
void scale_motion(int x, int y);
void calc_p(int mousex, int mousey, float p[]);
void calc_quat(float q[],
			   int mousex0, int mousey0,
			   int mousex1, int mousey1);
void tex_init(void);
void save_vmat_mem();
void load_vmat_mem();

typedef void (*PFV)(void);
int OpenGL_setup(void);














