//////////////////////////////
//	FILE: terrain.h
//	DOES: definitions for the terrain class
//////////////////////////////

class TERRAIN {
 private:
  float *Z;        // 2D array of terrain heights
  int nlevels;     // number of levels
  int N;           // 2^nlevels
  int N2;          // N/2
  int Dsize;       // total array size
  float sf;        // scaling factor: 1/N
  float getZ(int, int);          // gets a height value
  void setZ(int, int, float);    // sets a height value
  void vertex(int, int);         // computes 3D vertices

  int getNum(int, int);
				    
 public:
  TERRAIN();               // constructor
  void create(int);        // generates new terrain data
  void draw_wire(int);     // draws wire-frame version of terrain
  void draw_solid(int);    // draws solid-shaded version of terrain
  void dump_obj(char* szFname);
};

extern TERRAIN Terrain;
float rand1();

